LibOFX: Data Structures

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# LibOFX Data Structures

Here are the data structures with brief descriptions:

ErrorMsg | An abstraction of an OFX error code sent by an OFX server
LibofxContext |
LibofxFileFormatInfo |
NodeParser |
OFCApplication | This object is driven by OpenSP as it parses the SGML from the ofx file(s)
OfxAccountContainer | Represents a bank account or a credit card account
OfxAccountData | An abstraction of an account
OfxAccountInfo | Information sufficient to identify an account
OfxAccountInfoRequest | An account information request
OfxAggregate | A single aggregate as described in the OFX 1.02 specification
OFXApplication | This object is driven by OpenSP as it parses the SGML from the ofx file(s)
OfxBalanceContainer | Represents the <BALANCE> OFX SGML entity
OfxBankTransactionContainer | Represents a bank or credid card transaction
OfxCurrency | NOT YET SUPPORTED
OfxDummyContainer | A container to holds OFX SGML elements that LibOFX knows nothing about
OfxFiLogin | Information sufficient to log into an financial institution
OfxFiServiceInfo | Information returned by the OFX Partner Server about a financial institution
OfxGenericContainer | A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer
OfxInvestmentTransactionContainer | Represents a bank or credid card transaction
OfxMainContainer | The root container. Created by the <OFX> OFX element or by the export functions
OfxPayee |
OfxPayment |
OfxPaymentRequest |
OfxPushUpContainer | A container to hold a OFX SGML element for which you want the parent to process it's data elements
OfxRequest | A generic request
OfxSecurityContainer | Represents a security, such as a stock or bond
OfxSecurityData | An abstraction of a security, such as a stock, mutual fund, etc
OfxStatementContainer | Represents a statement for either a bank account or a credit card account
OfxStatementData | An abstraction of an account statement
OfxStatementRequest | A statement request
OfxStatusContainer | Represents the <STATUS> OFX SGML entity
OfxStatusData | An abstraction of an OFX STATUS element
OfxTransactionContainer | Represents a generic transaction
OfxTransactionData | An abstraction of a transaction in an account
option |
tree< T, tree_node_allocator > |
tree< T, tree_node_allocator >::fixed_depth_iterator | Iterator which traverses only the nodes at a given depth from the root
tree< T, tree_node_allocator >::fixed_depth_iterator | Iterator which traverses only the nodes at a given depth from the root
tree< T, tree_node_allocator >::iterator_base | Base class for iterators, only pointers stored, no traversal logic
tree< T, tree_node_allocator >::iterator_base | Base class for iterators, only pointers stored, no traversal logic
tree< T, tree_node_allocator >::iterator_base_less | Comparator class for iterators (compares the actual node content, not pointer values)
tree< T, tree_node_allocator >::iterator_base_less | Comparator class for iterators (compares the actual node content, not pointer values)
tree< T, tree_node_allocator >::post_order_iterator | Depth-first iterator, first accessing the children, then the node itself
tree< T, tree_node_allocator >::post_order_iterator | Depth-first iterator, first accessing the children, then the node itself
tree< T, tree_node_allocator >::pre_order_iterator | Depth-first iterator, first accessing the node, then its children
tree< T, tree_node_allocator >::pre_order_iterator | Depth-first iterator, first accessing the node, then its children
tree< T, tree_node_allocator >::sibling_iterator | Iterator which traverses only the nodes which are siblings of each other
tree< T, tree_node_allocator >::sibling_iterator | Iterator which traverses only the nodes which are siblings of each other
tree_node_< T > | A node in the tree, combining links to other nodes as well as the actual data